import * as React from 'react';
import {BreadModel, i18n, makeColumn} from "@rx-suite/ui";
import {DashboardComponentStore} from "../../stores/DashboardComponentStore";
import {DashboardComponentsForm} from "./DashboardComponentsForm";
import {t} from "@lingui/macro";

export const DashboardComponentsBreadModel = () => {
    const columns = [
        makeColumn('name', i18n._(t`Name`), "string"),
        makeColumn('dashboard_target.name', i18n._(t`Target`), "string"),
        makeColumn('dashboard_target.module_name', i18n._(t`Module`), "string"),
        makeColumn('displayTypeName', i18n._(t`Display Type`), "string"),
        makeColumn('desc', i18n._(t`Description`), "string", val => {
            return (val || '').split("\n").map((v: string) => <React.Fragment key={v}>{v}<br/></React.Fragment>)
        }),
        makeColumn('refresh_interval', i18n._(t`Refresh Rate`), "string", val => <>{val} {i18n._(t`Seconds`)}</>),
        makeColumn('last_run_error', i18n._(t`Last Run`), "string", val => val || i18n._(t`Success`))
    ];
    return (
        <BreadModel store={DashboardComponentStore} Form={DashboardComponentsForm} columns={columns}/>
    )
};
