import * as React from 'react';
import {BreadModel, i18n, makeColumn} from "@rx-suite/ui";
import {DashboardGroupStore} from "../../stores/DashboardGroupStore";
import {DashboardGroupForm} from "./DashboardGroupForm";
import {t} from "@lingui/macro";

export const DashboardGroupBreadModel = () => {
    const columns = [
        makeColumn('name', i18n._(t`Name`), "string"),
        makeColumn('desc', i18n._(t`Description`), "string", val => {
            return (val || '').split("\n").map((v: string) => <React.Fragment key={v}>{v}<br/></React.Fragment>)
        })
    ];
    return (
        <BreadModel store={DashboardGroupStore} Form={DashboardGroupForm} columns={columns}/>
    )
};
