import * as React from 'react';
import {BreadModel, i18n, makeColumn} from "@rx-suite/ui";
import {DashboardStore} from "../../stores/DashboardStore";
import {DashboardForm} from "./DashboardForm";
import {t} from "@lingui/macro";

export const DashboardBreadModel = () => {
    const columns = [
        makeColumn('name', i18n._(t`Name`), "string"),
        makeColumn('desc', i18n._(t`Description`), "string", val => {
            return (val || '').split("\n").map((v: string) => <React.Fragment key={v}>{v}<br/></React.Fragment>)
        })
    ];
    return (
        <BreadModel store={DashboardStore} Form={DashboardForm} columns={columns}/>
    )
};
