import {attribute, DataStore, Model, model, Transport} from '@rx-suite/data';
import {t} from "@lingui/macro";
import * as yup from "yup";
import {i18n} from "@rx-suite/ui";

@model({
    transportLayer: new Transport("/api/dashboard_group_dashboards", "dashboard_group_dashboard"),
    permissionTarget: "DashboardGroup",
    routingInfo: {}
})
export class DashboardGroupDashboardModel extends Model {
    @attribute({
        label: i18n._(t`Interval`),
        validation: yup.number()
    })
    interval: number = 1;

    @attribute({
        label: i18n._(t`Rank`),
        validation: yup.number()
    })
    rank: number = 0;

    @attribute({
        label: i18n._(t`Group`),
        connects: 'DashboardGroupModel',
        validation: yup.number(),
        autoTable: false
    })
    dashboard_group_id: number | undefined = undefined;

    @attribute({
        label: i18n._(t`Dashboard`),
        connects: 'DashboardModel',
        validation: yup.number(),
        autoTable: false
    })
    dashboard_id: number | undefined = undefined;
}

export const DashboardGroupDashboardStore = DashboardGroupDashboardModel.store as DataStore<DashboardGroupDashboardModel>;
DashboardGroupDashboardStore.setLimit(10000);
